library(ggplot2)

timeset<-data.frame(year=c(1600,1900,1950,2015),
                    text=c('Art ancien','Art moderne','Art contemporain','Aujourd\'hui'),
                    y=0)

plot <- ggplot(timeset,aes(x=year,y=0)) +
  geom_segment(aes(y=0,yend=y,xend=year)) +
  geom_text(aes(label=text),size=2.5,vjust=-1) +
  geom_point(aes(y=y)) +
  scale_y_continuous(limits=c(-.25,.25)) +
  geom_hline(y=0,size=1,color='purple') +
  theme(axis.text.y = element_blank()) +
  ylab('') +
  xlab('')

png(height=100)
plot
dev.off()
